# Generated by Django 4.0a1 on 2021-10-21 15:52

import datetime
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ("students", "0008_alter_student_email"),
    ]

    operations = [
        migrations.CreateModel(
            name="Course",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=100)),
                (
                    "start_date",
                    models.DateField(default=datetime.date(2021, 10, 21), null=True),
                ),
                ("count_of_students", models.IntegerField(default=0)),
            ],
        ),
        migrations.AddField(
            model_name="student",
            name="course",
            field=models.ForeignKey(
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                to="students.course",
            ),
        ),
    ]
